%global _description \
TinyCDB is a very fast and simple package for creating and reading constant data bases, \
a data structure introduced by Dan J. Bernstein in his cdb package. It may be used \
to speed up searches in a sequence of (key,value) pairs with very big number of records.

Name:           tinycdb
Version:        0.81
Release:        2
Summary:        A very fast and simple package for creating and reading constant databases
License:        Public Domain
URL:            http://www.corpit.ru/mjt/tinycdb.html
Source0:        http://www.corpit.ru/mjt/tinycdb/tinycdb-%{version}.tar.gz
Source1:        libcdb.pc
Patch0:         Fix-TINYCDB_VERSION-error.patch

BuildRequires:  gcc
%description %_description

%package devel
Summary:        Development files for tinycdb
Requires:       tinycdb = %{version}-%{release}

%description devel  %_description

%package_help

%prep
%autosetup -n %{name}-%{version} -p1
cp %{SOURCE1} .
sed -i -e 's\/lib\/%{_lib}\g' libcdb.pc

%build
%make_build staticlib sharedlib cdb-shared CFLAGS="%{optflags}" LDFLAGS="%{build_ldflags}"

%install
install -d %{buildroot}%{_libdir}
%make_install prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir} \
  install-sharedlib INSTALLPROG=cdb-shared CP="cp -p"
chmod +x %{buildroot}%{_libdir}/*.so.*
install -d %{buildroot}%{_libdir}/pkgconfig
cp -p libcdb.pc %{buildroot}%{_libdir}/pkgconfig/libcdb.pc

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc NEWS
%{_bindir}/cdb
%{_libdir}/*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/lib*.a

%files help
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man3/*.3*

%changelog
* Wed Aug 21 2024 zhangyi <yizhang@cqsoftware.com.cn> - 0.81-2
- Replaced declaration of help subpackage with the 'package_help' macro.

* Mon May 13 2024 yaoxin <yao_xin001@hoperun.com> - 0.81-1
- Upgrade to 0.81

* Fri Nov 15 2019 sunguoshuai <sunguoshuai@huawei.com> - 0.78-11
- Package init
